Menu

- Learn
- Documentation
  - Language Reference
  - Library Reference
  - Command-line Reference
  - Feature Overview
  - Articles
- Downloads
- Packages
- Community
  - Blog
  - Orgs using D
  - Twitter
  - Calendar
  - Forums
  - IRC
  - Wiki
  - GitHub
  - Issues
  - Get involved
  - Contributors
  - Foundation
  - Security Team
  - Donate
  - Sponsors
- Resources
  - Tour
  - Books
  - Tutorials
  - Tools
  - Editors
  - IDEs
  - run.dlang.io
  - Visual D
  - Acknowledgments
  - D Style
  - Glossary
  - Sitemap

Search
Report a bug
If you spot a problem with this page, click here to create a Bugzilla issue.
Improve this page
Quickly fork, edit online, and submit a pull request for this page. Requires a signed-in GitHub account. This works well for small changes. If you'd like to make larger changes you may want to consider using a local clone.

# dmd.root.array

Compiler implementation of the D programming language.
Authors:
Walter Bright
License:
Boost License 1.0

Source root/array.d

Documentation https://dlang.org/phobos/dmd_root_array.html

Coverage https://codecov.io/gh/dlang/dmd/src/master/src/dmd/root/array.d

@property T[] `asDArray`(T)(ref Array!T `array`);
  Exposes the given root Array as a standard D array.
  Parameters:

  Array!T `array` | the array to expose.

  Returns:
  The given array exposed to a standard D array.
void `split`(T)(ref Array!T `array`, size_t `index`, size_t `length`);
  Splits the array at index and expands it to make room for length elements by shifting everything past index to the right.
  Parameters:

  Array!T `array` | the array to split.
  size_t `index` | the index to split the array from.
  size_t `length` | the number of elements to make room for starting at index.

T[] `reverse`(T)(T[] `a`);
  Reverse an array in-place.
  Parameters:

  T[] `a` | array

  Returns:
  reversed a[]

Copyright © 1999-2019 by the D Language Foundation | Page generated by Ddoc on Sat Mar 2 03:27:55 2019